Package ec.simple

# Class SimpleGroupedEvaluator

java.lang.Object
ec.Evaluator
ec.simple.SimpleEvaluator
ec.simple.SimpleGroupedEvaluator

All Implemented Interfaces:
  `Setup`, `Singleton`, `Serializable`

public class SimpleGroupedEvaluator extends SimpleEvaluator

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ec.simple.SimpleEvaluator

  `C_AUTO, cloneProblem, MERGE_BEST, MERGE_MEAN, MERGE_MEDIAN, mergeForm, numTests, P_CHUNK_SIZE, P_CLONE_PROBLEM, P_MERGE, P_NUM_TESTS, pool, V_AUTO, V_BEST, V_MEAN, V_MEDIAN`

  ### Fields inherited from class ec.Evaluator

  `masterproblem, P_IAMSLAVE, P_MASTERPROBLEM, p_problem, P_PROBLEM, runComplete`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleGroupedEvaluator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `evalPopChunk(EvolutionState state, int[] numinds, int[] from, int threadnum, Problem p)`
  This protected helper function for evaluatePopulation evaluates a chunk of individuals in a subpopulation for a given thread.

  ### Methods inherited from class ec.simple.SimpleEvaluator

  `evaluatePopulation, runComplete, setup`

  ### Methods inherited from class ec.Evaluator

  `closeContacts, initializeContacts, postEvaluationGlobalUpdate, postEvaluationLocalUpdate, reinitializeContacts, setRunComplete`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleGroupedEvaluator

    public SimpleGroupedEvaluator()

- ## Method Details

  - ### evalPopChunk

    protected void evalPopChunk(EvolutionState state, int[] numinds, int[] from, int threadnum, Problem p)
    This protected helper function for evaluatePopulation evaluates a chunk of individuals in a subpopulation for a given thread. We override it here to modify evaluation so that it sends the entire chunk of individuals to a GroupedProblemForm all at once (rather than one-by-one).
    Overrides:
      `evalPopChunk` in class `SimpleEvaluator`